ParReader (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.spec.reader
Class ParReader

    java.lang.Object
      org.maltparser.core.feature.spec.reader.ParReader

All Implemented Interfaces:
  FeatureSpecReader

    public class ParReader

extends Object
implements FeatureSpecReader

Author:
  Johan Hall

Nested Class Summary
`static class` | `ParReader.ColumnNames`
`static class` | `ParReader.DataStructures`

Constructor Summary
`ParReader()`

Method Summary
`EnumMap<ParReader.ColumnNames,String>` | `getColumnNameMap()`
`EnumMap<ParReader.DataStructures,String>` | `getDataStructuresMap()`
`void` | `initializeColumnNameMap()`
`void` | `initializeDataStructuresMap()`
`boolean` | `isCovington()`
`boolean` | `isPpcoveredRoot()`
`boolean` | `isPplifted()`
`boolean` | `isPppath()`
`boolean` | `isUseSplitFeats()`
`void` | `load(URL specModelURL, SpecificationModels featureSpecModels)`
`void` | `setColumnNameMap(EnumMap<ParReader.ColumnNames,String> columnNameMap)`
`void` | `setCovington(boolean covington)`
`void` | `setDataStructuresMap(EnumMap<ParReader.DataStructures,String> dataStructuresMap)`
`void` | `setPpcoveredRoot(boolean ppcoveredRoot)`
`void` | `setPplifted(boolean pplifted)`
`void` | `setPppath(boolean pppath)`
`void` | `setUseSplitFeats(boolean useSplitFeats)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParReader

    public ParReader()
              throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### load

    public void load(URL specModelURL,
                     SpecificationModels featureSpecModels)
              throws MaltChainedException

  Specified by:
    `load` in interface `FeatureSpecReader`
  Throws:
    `MaltChainedException`

### getColumnNameMap

    public EnumMap<ParReader.ColumnNames,String> getColumnNameMap()

### initializeColumnNameMap

    public void initializeColumnNameMap()

### setColumnNameMap

    public void setColumnNameMap(EnumMap<ParReader.ColumnNames,String> columnNameMap)

### getDataStructuresMap

    public EnumMap<ParReader.DataStructures,String> getDataStructuresMap()

### initializeDataStructuresMap

    public void initializeDataStructuresMap()

### setDataStructuresMap

    public void setDataStructuresMap(EnumMap<ParReader.DataStructures,String> dataStructuresMap)

### isUseSplitFeats

    public boolean isUseSplitFeats()

### setUseSplitFeats

    public void setUseSplitFeats(boolean useSplitFeats)

### isCovington

    public boolean isCovington()

### setCovington

    public void setCovington(boolean covington)

### isPppath

    public boolean isPppath()

### setPppath

    public void setPppath(boolean pppath)

### isPplifted

    public boolean isPplifted()

### setPplifted

    public void setPplifted(boolean pplifted)

### isPpcoveredRoot

    public boolean isPpcoveredRoot()

### setPpcoveredRoot

    public void setPpcoveredRoot(boolean ppcoveredRoot)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.